#
# spec file for package rdesktop
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           rdesktop
BuildRequires:  alsa-devel libsamplerate-devel openssl-devel pkg-config xorg-x11-devel
Url:            http://www.rdesktop.org/
License:        GPL v2 or later
Group:          Productivity/Networking/Remote Desktop
AutoReqProv:    on
Version:        1.6.0
Release:        46.47.1
Summary:        A Remote Desktop Protocol client
Source:         %{name}-%{version}.tar.bz2
Source2:        rdesktop.xpm
Patch0:         rdesktop-1.4.0-lib64.dif
Patch1:         rdesktop-1.5.0-fs-fix-1.dif 
Patch2:         rdesktop-1.5.0-fix-printer-strcmp.dif
Patch3:         rdesktop-1.6.0-fix-pkgconfig-check.dif
Patch4:         rdesktop-NOMAD.dif
Patch5:         rdesktop-add-icon.patch
Patch6:         remote-file-access.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
rdesktop is an open source client for Windows NT Terminal Server and
Windows 2000 Terminal Services, capable of natively speaking Remote
Desktop Protocol (RDP) in order to present the user's NT desktop.
Unlike Citrix ICA, no server extensions are required.



Authors:
--------
    Matt Chapman <matthewc@cse.unsw.edu.au>

%prep
%setup
%patch0
#%patch1
%patch2
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6

%build
%{suse_update_config}
autoreconf --force --install --verbose
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" ./configure --prefix=/usr \
                                                         --libdir=%{_libdir} \
                                                         --mandir=%{_mandir} \
                                                         --with-openssl=/usr
make

%install
make DESTDIR=$RPM_BUILD_ROOT STRIP=true install
make DESTDIR=$RPM_BUILD_ROOT installman
mkdir -p $RPM_BUILD_ROOT/usr/share/rdesktop
cp -r keymaps $RPM_BUILD_ROOT/usr/share/rdesktop
chmod -R a+r $RPM_BUILD_ROOT/usr/share/rdesktop/keymaps
mkdir $RPM_BUILD_ROOT/usr/share/rdesktop/pixmaps
install -m 644 $RPM_SOURCE_DIR/rdesktop.xpm $RPM_BUILD_ROOT/usr/share/rdesktop/pixmaps

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%doc COPYING doc README
/usr/bin/rdesktop
/usr/share/rdesktop
#/usr/bin/rdp-srvr
%{_mandir}/man1/rdesktop.1.gz

%changelog
* Thu May 12 2011 dmueller@suse.de
- protect against arbitrary file access (CVE-2011-1595, bnc#689029)
* Fri Feb 26 2010 dliang@novell.com
- Add a rdesktop.xpm icon which was from 48x48/yast-remote.png
  (bnc#578859)
* Wed Feb  4 2009 davidr@novell.com
- Better detection of fullscreen dimensions when no window manager
  is running. (bnc#456172)
* Fri Nov 21 2008 davidr@novell.com
- Fix resize restriction issue in NOMAD patch.
- Fix background color typo.
- Fix annoying keyboard grabbing issue.
* Tue Nov 11 2008 davidr@novell.com
- Fix DMX input focus handling.
* Wed Oct 15 2008 davidr@novell.com
- Don't prevent DMX DnD support from working properly.
- Fix handling of special keys when using the rdpx11 channel.
- Disable old fs fix. NOMAD patch includes a much better fullscreen
  fix that actually works.
- Fix blocking issues in x11 forwarding and make x11 stream
  compression work properly.
- Fix issue with grabbing of the keyboard and preventing events
  from being forwarded when rdpx11 channel is used.
* Wed Sep 17 2008 mc@suse.de
- add NOMAD patch (for FATE 304243, 304244, 304246)
* Wed Jun 18 2008 mc@suse.de
- update to version 1.6.0
  * Fix for crash with recent versions of X.Org
  * Fix for potential vulnerability against compromised/malicious servers (reported by iDefense)
  * Fix for Windows 2008 Server
  * ALSA driver added
  * Sound drivers can now be selected at runtime
  * Smartcard support (Alexi Volkov <alexi@myrealbox.com>)
  * Send physical mouse buttons rather than logical ones
- remove obsolete patches
* Thu May  8 2008 mc@suse.de
- fix multiple problems in rdesktop
  * CVE-2008-1801 - integer underflow vulnerability
  * CVE-2008-1802 - BSS overflow vulnerability
  * CVE-2008-1803 - integer signedness vulnerability
* Wed Apr 25 2007 mc@suse.de
- fix segfaults after recent update of X.org
  [#267016]
* Tue Dec 19 2006 mc@suse.de
- fix "comparison with string literal" [#228709]
* Mon Nov  6 2006 schwab@suse.de
- Don't strip binaries.
* Tue Sep 19 2006 mc@suse.de
- rdesktop (1.5.0)
  * SeamlessRDP - seamless windows support
  * Keymap fixes
  * Fix connection issues with Windows XP RTM
  * Keyboard handling improvements and fixes
  * SGI/Irix sound-driver fixes
  * Support for clipboard INCR protocol
  * Session Directory support
  * Support for long filenames on redirected drives
  * XOR ellipse drawing fix
  * Clipboard unicode support
  * Fix display issues with exotic color depths (30bpp, 32bpp, etc)
  * Large file support
  * The default color depth is now the depth of the root window
  * Basic support for Windows Vista Beta 2
  * Fix high cpu-usage in OSS-driver
* Mon Sep 11 2006 mc@suse.de
- /usr/X11R6 => /usr/
* Fri May 26 2006 schwab@suse.de
- Don't strip binaries.
* Thu May  4 2006 mc@suse.de
- add xgl fix [#164671]
* Mon Mar 20 2006 mc@suse.de
- fix Compiz makes rdesktop window entirely transparent
  [# 155335]
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jun  3 2005 mc@suse.de
- switch to version 1.4.1
  * persistent bitmap cache optimisations
  * support for more RDP-orders (ellipse, polygon)
  * libao sound-driver (for Mac OSX and others)
  * Unicode support for transmitted strings/filenames
  * Added korean keymap
  * Xembed fixes to work with krdc correctly
  * Portability fixes
  * Support for RDP-compression (all bpps)
  * process RDP recv queue if send queue is full (Debian bug #246461)
  * SGI/Irix sound-driver fixes
* Wed Mar 30 2005 mc@suse.de
- switch to version 1.4.0
- remove rdesktop-1.2.0-24bit-color.dif, rdesktop-1.2.0-configure.dif
  and rdesktop-kdehead.patch
- add rdesktop-1.4.0-lib64.dif
* Tue Aug 24 2004 mc@suse.de
- add rdesktop-kdehead.patch to make krdc working
  [#43860]
* Thu Feb 26 2004 mc@suse.de
- switch to version 1.3.1
  * Crypto fixes for RDP5
  * Keyboard and keymap fixes
  * some endianess fixes for high color
  * portability enhancements
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Thu Oct 30 2003 mc@suse.de
- switch to version 1.3.0
* Mon Aug 18 2003 mc@suse.de
- renamed rdesktop-1.2.0.dif to rdesktop-1.2.0-24bit-color.dif
- add rdesktop-1.2.0-configure.dif . Makes it possible to set
  CFLAGS from external.
- add -fno-strict-aliasing
- removed unused patches
  (rdesktop-unified-patch19-9-0.bz2, rdesktop-1.1.0.dif)
* Fri Jul  4 2003 sndirsch@suse.de
- workaround for 24bit color depth problem (Bug #27726)
* Mon Jun 16 2003 coolo@suse.de
- use BuildRoot
* Tue Mar 18 2003 sndirsch@suse.de
- added missing keymaps (Bug #25565)
* Thu Jan 30 2003 sndirsch@suse.de
- updated to release 1.2.0 (Bug #23211)
  * this features new keyboard mapping code, high encryption support
    and many small additions and bugfixes
* Fri Aug 23 2002 uli@suse.de
- added patches from http://bibl4.oru.se/projects/rdesktop
  that have been reported to be necessary for proper operation
  (bug #18223)
* Wed Apr 24 2002 uli@suse.de
- fixed for lib64
* Thu Oct 18 2001 uli@suse.de
- initial package
